WordPress.org

Ready to get started?Download WordPress

Forums

WP Easy Columns
[resolved] Is Easy Column really compatible with WP 3.6.1? (7 posts)

  1. bdocio
    Member
    Posted 9 months ago #

    I have installed this plugin and when I try to activate it I get these messages:

    --1--
    Notice: register_uninstall_hook was called incorrectly. Only a static class method or function can be used in an uninstall hook. Please see Debugging in WordPress for more information. (This message was added in version 3.1.) in /homepages/45/d466164187/htdocs/midominio/www/wp-includes/functions.php on line 3041

    --2--
    Notice: has_cap was called with an argument that is deprecated since version 2.0! The use of user levels by plugins and themes is deprecated. Use the profiles and capabilities instead. in / homepages/45/d466164187/htdocs/midominio/www/wp-includes/functions.php on line 2998

    --3--
    The plugin has caused an 479 characters unexpected output during activation. If you see messages from "headers already sent", problems with syndication feeds or other issues, try deactivating and deleting the plugin.

    I am using the 3.6.1 spanish version of WordPress, installed on a 1 & 1 hosting with JetPack plugin by WordPress.org activated.

    http://wordpress.org/plugins/easy-columns/

  2. Pat Friedl
    Member
    Plugin Author

    Posted 9 months ago #

    It sounds like your php debugging may be a little tight. I have yet to run into those problems testing on BlueHost, IX Web Hosting, and WAMP running localhost. It may be a conflict with another plugin as well. Right now we've got 117K downloads and haven't run into this issue.

  3. cvelez27
    Member
    Posted 8 months ago #

    I'm having the same problem. My error is listed below. It's an awesome plugin. The best in the columns category I think. Can you help me figure out what it might be?

    Notice: register_uninstall_hook was called incorrectly. Only a static class method or function can be used in an uninstall hook. Please see Debugging in WordPress for more information. (This message was added in version 3.1.) in /home/green83/public_html/clients/weinsteinau/wp-includes/functions.php on line 3041

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/green83/public_html/clients/weinsteinau/wp-includes/functions.php on line 2998

  4. Pat Friedl
    Member
    Plugin Author

    Posted 8 months ago #

    I'll look into it ASAP. I have several updates to roll in this week so look for an update.

  5. Martin Young (dmwmartin)
    Member
    Posted 8 months ago #

    Hi Pat

    You may have already got to this but, if not, I wanted to pitch in with a fix for the has_cap notice.

    In easy-columns.php, line 443, replace

    add_options_page('Easy Columns Options', 'Easy Columns', 8, basename(__FILE__), array(&$this, 'handle_options'));

    with this:

    add_options_page('Easy Columns Options', 'Easy Columns', 'manage_options', basename(__FILE__), array(&$this, 'handle_options'));

    To allow only administrators to view the options page (should also work on multisite).

    On the front end, I'm getting this:

    Notice: Undefined property: EasyColumns::$use_custom in ***/wp-content/plugins/easy-columns/easy-columns.php on line 228

    But I'm not entirely sure how to fix that one sorry! Also, as it's a notice, I'm not too concerned about fixing it before the site launches, always like to fix deprecation notices though.

    Martin

  6. _p_
    Member
    Posted 8 months ago #

    Dear All

    I'm using v2.1.2 with WP 3.5.1 and had the "has_cap" and the "use_custom" issue.

    I fixed the "has_cap" issue with the fix of Martin Young and the "use_custom" as follows:

    replace on line 228:
    <?php if($this->use_custom || !empty($this->options['custom_css'])){ ?>
    with:
    <?php if((isset($this->use_custom) && $this->use_custom) || !empty($this->options['custom_css'])){ ?>

    best - p

  7. kakanczu
    Member
    Posted 8 months ago #

    Thank _p_

    Your suggestion fixed the issue for me.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.